
var hoy = new Date();
var diasemana = hoy.getDay() - 1;
var meses = new Array('ENERO', 'FEBRERO', 'MARZO', 'ABRIL', 'MAYO', 'JUNIO', 'JULIO', 'AGOSTO', 'SEPTIEMBRE', 'OCTUBRE', 'NOVIEMBRE', 'DICIEMBRE');
var markersArray = [];
var markersCodigos = [];
var markerYouarehere;
var marker_selected = undefined;
var codigo_selected = undefined;
var marker_start;
var marker_end;
var trafficLayer;
var transitLayer;
var bikeLayer;
var geocoder;
var ruta = E_Tienda.ruta;
var styles = [[{ url: ruta + 'icono_cluster.png', height: 56, width: 56, textColor: '#ffffff', textSize: 20 }]];
var MY_MAPTYPE_ID = 'custom_style';
var bounds;
var toDestination;
var tReload = 1;
var home = E_Tienda.home;


/* ****************************************************************************** */
/*                                                                                */
/*                                 MAPA PRINCIPAL                                 */
/*                                                                                */
/* ****************************************************************************** */

var zoomL = 6;

if (jQuery(window).width() < 768) {
	zoomL = 5;
}

var Demo = {
	// HTML Nodes
	mapContainer: document.getElementById('mapa'),
	fromInput: document.getElementById('frominput'),
	locationInput: document.getElementById('location'),
	init: function () {
		Demo.map = new google.maps.Map(Demo.mapContainer, {
			//scrollwheel: false,
			zoom: zoomL,
			center: new google.maps.LatLng(39.9459429, -5.3179132),
			mapTypeControl: true,
			mapTypeControlOptions: {
				mapTypeIds: [MY_MAPTYPE_ID, google.maps.MapTypeId.ROADMAP, google.maps.MapTypeId.HYBRID],
				position: google.maps.ControlPosition.RIGHT_BOTTOM
			},
			mapTypeId: MY_MAPTYPE_ID,
			scaleControl: false,
			panControl: false,
			streetViewControl: false,
			zoomControl: true,
			zoomControlOptions: {
				style: google.maps.ZoomControlStyle.SMALL,
				position: google.maps.ControlPosition.TOP_RIGHT
			}
		});

		//--- Style
		var styledMapOptions = { name: 'Default' };
		var customMapType = new google.maps.StyledMapType(featureOpts, styledMapOptions);
		Demo.map.mapTypes.set(MY_MAPTYPE_ID, customMapType);

		//--- Style
		//var featureOpts = [ { "stylers": [ { "saturation": -100 } ] } ];
		//var styledMapOptions = { name: 'Default' };
		//var customMapType = new google.maps.StyledMapType(featureOpts, styledMapOptions);
		//Demo.map.mapTypes.set(MY_MAPTYPE_ID, customMapType);


		//--- Autocomplete
		var options = { componentRestrictions: { country: 'es' }, types: ['geocode'] };
		var autocomplete = new google.maps.places.Autocomplete(Demo.locationInput, options);
		autocomplete.bindTo('bounds', Demo.map);
		autocomplete.addListener('place_changed', function () {
			geocode();
		});

		//--- Per localitzar l'adreça que escriu l'usuari
		geocoder = new google.maps.Geocoder();

		//---
		bounds = new google.maps.LatLngBounds(null);

		//--- Zoom changed
		Demo.map.addListener('bounds_changed', function () {
			//chargeListado('novisualitzem');
			if (jQuery("#mapa").is(":visible") == true) {
				chargeListado('sivisualitzem');
			}
		});

		//--- Carreguem les marques
		chargeMarkets();

		w = jQuery(window).width();							//Per versió Desktop mostrem la llista i el mapa a la vegada
		if (w >= 768) { jQuery('#list').fadeIn(300); }

	},
};


/* ----------------------- */
/*  Carreguem les marques  */
/* ----------------------- */

function chargeMarkets() {
	if (dataMap.tiendas.length != 0) {
		for (var i = 0; i < dataMap.tiendas.length; i++) {
			var dataTiendas = dataMap.tiendas[i];

			nueva = new Date();
			nueva.setDate(dataTiendas.nueva.substr(6, 2));
			nueva.setMonth(dataTiendas.nueva.substr(4, 2) - 1);
			nueva.setHours(0);
			nueva.setMinutes(0);
			nueva.setSeconds(0);

			var date = new Date();
			nue = Math.floor(date.getTime());
			nue = nue+(15*24*60*60*1000);
			nuevaplus10 = new Date(nue);

			if (dataTiendas.latitude != 0 && ( nueva < nuevaplus10 )) {
				var latLng = new google.maps.LatLng(dataTiendas.latitude, dataTiendas.longitude);
				if (dataTiendas.codigo.substr(0, 1) == '+') {
					var iconimage = { url: ruta + 'icono_central.png', size: new google.maps.Size(85, 97) };
				} else {
					var iconimage = { url: ruta + 'icono_mapa.png', size: new google.maps.Size(56, 56) };
				}
				var marker = new google.maps.Marker({ position: latLng, icon: iconimage });
				bounds.extend(new google.maps.LatLng(dataTiendas.latitude, dataTiendas.longitude));
				google.maps.event.addListener(marker, 'click', onMarkerClick(dataTiendas.codigo));
				markersArray.push(marker);
				markersCodigos.push(dataTiendas.codigo);
			}
		}
		var markerCluster = new MarkerClusterer(Demo.map, markersArray, { styles: styles[0], gridSize: 56, maxZoom: 15 });
		//Demo.map.fitBounds(bounds);
	} else {

	}

}

function onMarkerClick(codigo) {		//Al fer clic en una marca
	return function () {
		showDetail(codigo);
	}
}


/* ----------------------------------- */
/*  localitzem geoposició de l'usuari  */
/* ----------------------------------- */

function miUbicacion() {
	if (navigator.geolocation) {
		jQuery("#buscando").html('Buscando'); jQuery("#miubicacion").addClass('myspin'); showMapa();
		navigator.geolocation.getCurrentPosition(function (position) {
			var pos = { lat: position.coords.latitude, lng: position.coords.longitude };
			Demo.fromInput.value = position.coords.latitude + ',' + position.coords.longitude;			//actualitzem coordenades d'on som
			document.forms['miformComoLlegar'].location_a.value = 'Ubicación actual';

			var iconimage = { url: ruta + 'icono_youarehere.png', size: new google.maps.Size(56, 56) };
			if (markerYouarehere != null) { markerYouarehere.setMap(null); }
			markerYouarehere = new google.maps.Marker({ position: pos, map: Demo.map, icon: iconimage, zIndex: 99 });

			Demo.map.setCenter(pos);
			Demo.map.setZoom(12);
			jQuery("#buscando").html('Buscar por tu ubicación'); jQuery("#miubicacion").removeClass('myspin');
		}, function () {
			//if (toTravelMode=='') {
			//	alert('El servicio de localización de tu ubicación ha fallado');
			//} else {
			alert('El servicio de localización de tu ubicación está bloqueado y no podemos calcular la ruta.');
			//}
			//handleLocationError(true, infoWindow, Demo.map.getCenter());
			jQuery("#buscando").html('Buscar por tu ubicación'); jQuery("#miubicacion").removeClass('myspin');
		});
	} else {
		alert('Tu navegador no soporta la localización de tu ubicación.');
		//handleLocationError(false, infoWindow, Demo.map.getCenter());
	}
}

function handleLocationError(browserHasGeolocation, infoWindow, pos) {
	//infoWindow.setPosition(pos);
	//infoWindow.setContent(browserHasGeolocation ?
	//						'Error: The Geolocation service failed.' :
	//						'Error: Your browser doesn\'t support geolocation.');
}




/* ****************************************************************************** */
/*                                                                                */
/*                               MAPA "COMO LLEGAR"                               */
/*                                                                                */
/* ****************************************************************************** */

var Demo2 = {
	// HTML Nodes
	mapContainer: document.getElementById('map-container'),
	fromInput: document.getElementById('frominput'),
	dirContainer: document.getElementById('dir-container'),
	travelModeInput: document.getElementById('travelmodeinput'),
	locationInput_a: document.getElementById('location_a'),
	// API Objects
	dirService: new google.maps.DirectionsService(),
	dirRenderer: new google.maps.DirectionsRenderer({ draggable: true, suppressMarkers: true, suppressInfoWindows: false }),
	map: null,
	showDirections: function (dirResult, dirStatus) {
		if (dirStatus != google.maps.DirectionsStatus.OK) {
			alert('No existen rutas entre ambos puntos.');
			//alert('Directions failed: ' + dirStatus);
			Demo2.dirRenderer.setMap(null);
			return;
		}

		jQuery('#map-container').show();
		google.maps.event.trigger(Demo2.map, "resize");

		// Show directions
		Demo2.dirRenderer.setMap(Demo2.map);
		Demo2.dirRenderer.setPanel(Demo2.dirContainer);
		Demo2.dirRenderer.setDirections(dirResult);


		if (marker_start != null) { marker_start.setMap(null); }
		if (marker_end != null) { marker_end.setMap(null); }
		var iconimage_start = { url: ruta + 'icono_youarehere.png', size: new google.maps.Size(56, 56) };
		var iconimage_end = { url: ruta + 'icono_mapa.png', size: new google.maps.Size(56, 56) };
		var leg = dirResult.routes[0].legs[0];
		marker_start = new google.maps.Marker({ position: leg.start_location, map: Demo2.map, icon: iconimage_start });
		marker_end = new google.maps.Marker({ position: leg.end_location, map: Demo2.map, icon: iconimage_end });

	},
	getSelectedTravelMode: function () {
		var value = Demo2.travelModeInput.value;
		if (value == 'driving') {
			value = google.maps.TravelMode.DRIVING;
		} else if (value == 'bicycling') {
			value = google.maps.TravelMode.BICYCLING;
		} else if (value == 'walking') {
			value = google.maps.TravelMode.WALKING;
		} else if (value == 'transit') {
			value = google.maps.TravelMode.TRANSIT;
		} else {
			alert('Unsupported travel mode.');
		}
		return value;
	},
	init: function () {
		Demo2.map = new google.maps.Map(Demo2.mapContainer, {
			zoom: 5,
			center: new google.maps.LatLng(41.4785455, 1.8056939000000511),
			mapTypeControl: false,
			mapTypeControlOptions: {
				mapTypeIds: [MY_MAPTYPE_ID] //, google.maps.MapTypeId.ROADMAP, google.maps.MapTypeId.HYBRID ],
			},
			mapTypeId: MY_MAPTYPE_ID,
			scaleControl: false,
			panControl: false,
			streetViewControl: false,
			zoomControl: false,
		});

		//--- Style
		var styledMapOptions = { name: 'Default' };
		var customMapType = new google.maps.StyledMapType(featureOpts, styledMapOptions);
		Demo2.map.mapTypes.set(MY_MAPTYPE_ID, customMapType);

		//--- Autocomplete
		var options = { componentRestrictions: { country: 'es' }, types: ['geocode'] };
		var autocomplete = new google.maps.places.Autocomplete(Demo2.locationInput_a, options);
		autocomplete.bindTo('bounds', Demo2.map);
		autocomplete.addListener('place_changed', function () {
			geocode2();
		});

		//--- Per localitzar l'adreça que escriu l'usuari
		geocoder = new google.maps.Geocoder();

	},
};


/* ----------------------------------- */
/*  localitzem geoposició de l'usuari  */
/* ----------------------------------- */

function miUbicacion2(toTravelMode) {

	if (navigator.geolocation) {

		jQuery("#miubicacion2").addClass('myspin');
		navigator.geolocation.getCurrentPosition(function (position) {

			// var pos = { lat: position.coords.latitude, lng: position.coords.longitude };
			// Demo.fromInput.value = position.coords.latitude + ',' + position.coords.longitude;			//actualitzem coordenades d'on som
			// document.forms['miformComoLlegar'].location_a.value = 'Ubicación actual';
			//
			// var iconimage = { url: ruta + 'icono_youarehere.png', size: new google.maps.Size(56, 56) };
			// if (markerYouarehere != null) { markerYouarehere.setMap(null); }
			// markerYouarehere = new google.maps.Marker({ position: pos, map: Demo.map, icon: iconimage, zIndex: 99 });
			//
			// Demo.map.setCenter(pos);
			// Demo.map.setZoom(12);
			// jQuery("#buscando").html('Buscar por tu ubicación'); jQuery("#miubicacion").removeClass('myspin');

			var pos = { lat: position.coords.latitude, lng: position.coords.longitude };
			Demo2.fromInput.value = position.coords.latitude + ',' + position.coords.longitude;			//actualitzem coordenades d'on som
			Demo2.map.setCenter(pos);

			//var iconimage = { url: ruta+'icono_youarehere.png', size: new google.maps.Size(52, 68) };
			//if (markerYouarehere != null) { markerYouarehere.setMap(null); }
			//markerYouarehere = new google.maps.Marker({ position: pos, map: Demo2.map, icon: iconimage, zIndex: 99 });

			document.forms['miform'].frominput.value = position.coords.latitude + ',' + position.coords.longitude;
			document.forms['miformComoLlegar'].location_a.value = 'Ubicación actual';

			var iconimage = { url: ruta + 'icono_youarehere.png', size: new google.maps.Size(56, 56) };
			if (markerYouarehere != null) { markerYouarehere.setMap(null); }
			markerYouarehere = new google.maps.Marker({ position: pos, map: Demo2.map, icon: iconimage, zIndex: 99 });

			jQuery("#buscando").html('Buscar por tu ubicación'); jQuery("#miubicacion").removeClass('myspin');

			if (toTravelMode != '') {
				var dirRequest = {
					origin: jQuery('#frominput').val(),
					destination: toDestination,
					travelMode: toTravelMode,
					unitSystem: google.maps.DirectionsUnitSystem.METRIC,
					provideRouteAlternatives: true,
					durationInTraffic: true,
					optimizeWaypoints: true,
				};
				Demo2.dirService.route(dirRequest, Demo2.showDirections);
			} else {
				Demo2.map.setZoom(12);
			}
			jQuery("#miubicacion2").removeClass('myspin');

		}, function () {

			alert('El servicio de localización de tu ubicación está bloqueado y no podemos calcular la ruta.');
			jQuery("#miubicacion2").removeClass('myspin');
		});
	} else {
		alert('Tu navegador no soporta la localización de tu ubicación.');
	}
}

function handleLocationError(browserHasGeolocation, infoWindow, pos) {

}

function getIndicaciones(toTravelMode) {
	Demo2.travelModeInput.value = toTravelMode;
	jQuery('.travelmode a').removeClass('selected'); jQuery('#' + toTravelMode).addClass('selected');
	toTravelMode = Demo2.getSelectedTravelMode();
	if (jQuery('#frominput').val() == '') {					//Si no tenemos ubicación > la pedimos, añadimos marca y dibujamos la ruta
		miUbicacion2(toTravelMode);
	} else {															//Si ya la tenemos > dibujamos ruta
		var dirRequest = {
			origin: jQuery('#frominput').val(),
			destination: toDestination,
			travelMode: toTravelMode,
			unitSystem: google.maps.DirectionsUnitSystem.METRIC,
			provideRouteAlternatives: true,
			durationInTraffic: true,
			optimizeWaypoints: true,
		};
		Demo2.dirService.route(dirRequest, Demo2.showDirections);
	}
}

function focusLocation() {
	if (document.forms['miformComoLlegar'].location_a.value == 'Ubicación actual') { document.forms['miformComoLlegar'].location_a.value = ''; }
}


/* ****************************************************************************** */
/*                                                                                */
/*                                  FUNCIONES                                     */
/*                                                                                */
/* ****************************************************************************** */


/* --------------------------------- */
/*  Obtenim informació de la Botiga  */
/* --------------------------------- */

function getNameTienda(codigo) {
	dev = '';
	for (var i = 0; i < dataMap.tiendas.length; i++) {
		var dataTiendas = dataMap.tiendas[i];
		if (dataTiendas.codigo == codigo) {
			empresa = dataTiendas.nombre; empresa = empresa.replace("Aldi", "");
			dev = empresa;
		}
	}
	return dev;
}

function getInfoDetail(codigo) {
	dev = '';
	for (var i = 0; i < dataMap.tiendas.length; i++) {
		var dataTiendas = dataMap.tiendas[i];
		if (dataTiendas.codigo == codigo) {

			toDestination = dataTiendas.latitude + ',' + dataTiendas.longitude;				//Nos guardamos la posición de la tienda para poder calcular el "Como llegar".
			document.forms['miformComoLlegar'].location_b.value = dataTiendas.direccion + ', ' + dataTiendas.codpostal + ', ' + dataTiendas.localidad + ', ' + dataTiendas.provincia;
			jQuery('#map-container').hide();

			empresa = dataTiendas.nombre; empresa = empresa.replace("Aldi", "");

			nueva = new Date(); nueva.setDate(dataTiendas.nueva.substr(8, 2)); nueva.setMonth(dataTiendas.nueva.substr(5, 2) - 1); nueva.setHours(0); nueva.setMinutes(0); nueva.setSeconds(0);

			estado_tmp = '<div class="info-cap">';
			estado_tmp += '<h4>ALDI ' + empresa + '</h4>';
			estado_tmp += '<a href="javascript:void(0)" onclick="hideHowToArrive()" class="close mypulse"><span class="hidden">[CLOSE]</span></a>';
			estado_tmp += '</div>';

			dev = dev + estado_tmp;

			if (codigo.substr(0, 1) != '+') {

			} else {
				dev = dev + '<h4 class="atencion">¡ATENCIÓN!</h4>';
				dev = dev + '<p class="sep">En esta ublicación no hay tienda sino nuestras oficinas.</p>';
				dev = dev + '<h4 class="sep central">' + empresa + '</h4>';
			}

		}
	}
	return dev;
}

function normalTimeTable(i) {
	//Horario habitual:
	//1:10:00:15:00,2:09:00:22:00,3:09:00:22:00,4:09:00:22:00,5:09:00:22:00,6:09:00:22:00,7:09:00:22:00
	var dataTiendas = dataMap.tiendas[i];
	ndies = [2, 3, 4, 5, 6, 7, 1]; dies = ['L', 'M', 'X', 'J', 'V', 'S', 'D']; apertura = ['', '', '', '', '', '', '']; cierre = ['', '', '', '', '', '', ''];
	horario = dataTiendas.horario.split(",");

	for (j = 0; j < horario.length; j++) {
		a = horario[j].substr(0, 1);
		key = 0;
		for (k = 0; k < ndies.length; k++) { if (ndies[k] == a) { key = k; break; } }
		apertura[key] = horario[j].substr(2, 5);
		cierre[key] = horario[j].substr(8, 5);
	}

	horario_li = '<ul class="hour-list">'; estado = 'cerrada';
	horario_li += '<li><label>L - S</label>' + apertura[0] + ' - ' + cierre[0] + '</li>';
	if( apertura[6] ) {
		horario_li += '<li><label>D</label>' + apertura[6] + ' - ' + cierre[6] + '</li>';
	}
	horario_li += '</ul>';

	return horario_li;
}


/* -------------------------------------------------- */
/*  Obtenim llista de botigues a partir del viewport  */
/* -------------------------------------------------- */

function getListTiendas(latsw, lngsw, latne, lngne) {

	dev = '';

	if (dataMap.tiendas.length != 0) {

		dev = '';
		dev10 = '';
		var nTiendasProximosDias = 0;

		for (var i = 0; i < dataMap.tiendas.length; i++) {

			var dataTiendas = dataMap.tiendas[i];
			lat = dataTiendas.latitude;
			lng = dataTiendas.longitude;

			// El siguiente condicional hace que se vean las tiendas del mapa según latitud y longitud
			// if (lat >= latsw && lat <= latne && lng >= lngsw && lng <= lngne) {

			// TODO: Condicional para mostrar de -3 a +10

			codigo = dataTiendas.codigo;
			empresa = dataTiendas.nombre;
			empresa = empresa.replace("Aldi", "");
			direccion1 = dataTiendas.direccion;
			direccion2 = dataTiendas.codpostal + ' ' + dataTiendas.localidad;
			nueva = new Date();
			nueva.setDate(dataTiendas.nueva.substr(6, 2));
			nueva.setMonth(dataTiendas.nueva.substr(4, 2) - 1);
			nueva.setHours(0);
			nueva.setMinutes(0);
			nueva.setSeconds(0);

			var date = new Date();
			nue = Math.floor(date.getTime());
			nue = nue+(15*24*60*60*1000);
			nuevaplus10 = new Date(nue);

			if( nuevaplus10 > nueva ) {
				nTiendasProximosDias++;
				dev = dev + '' +
					'<article id="' + codigo + '" class="aperturas-item">' +
					'   <div class="apertura-header">' +
					'	    <h3 class="apertura-empresa">' + empresa + '</h3>' +
					'	    <div class="apertura-fecha">APERTURA ' + nueva.getDate() + ' DE ' + meses[nueva.getMonth()] + '</div>' +
					'		<div class="apertura-revista">'+((dataTiendas.revista != '') ? '<a href="'+dataTiendas.revista+'" target="_blank">Ver revista especial</a>' : '' )+'</div>' +
					'   </div>' +
					'   <div class="apertura-body">' +
					'      <div class="apertura-detalles">' +
					'           <div class="row">' +
					'              <div class="col-sm-6">' +
					'      	            <h4>Dirección</h4>' +
					'      	            <p class="aperturas-direccion">' + direccion1 + '<br>' + direccion2 + '<br>Teléfono: <a href="tel:' + dataTiendas.telefono.replace(/\s+/g, '') + '">' + dataTiendas.telefono + '</a> gratuito</p>' +
					'              </div>' +
					'              <div class="col-sm-6">' +
					'   	            <h4>Horario habitual</h4>' +
					normalTimeTable(i) +
					'              </div>' +
					'           </div>' +
					'   	    <a class="how-to-arrive-btn list-box faa-parent animated-hover" onclick="showHowToArrive(\'' + codigo + '\')">Cómo llegar</a>' +
					'       </div>' +
					'   </div>' +
					'</article>';
				// }

				// '   	<div class="apertura-how-to-arrive-wrapper" id="como-llegar">' +
				// '           <a onclick="hideHowToArrive(\'' + codigo + '\')" class="close mypulse"><span class="hidden">[CLOSE]</span></a>' +
				// '   		<h4>DIRECCIÓN</h4>' +
				// '   		<form name="miformComoLlegar" id="miformComoLlegar" method="post">' +
				// '   		    <input type="hidden" name="travelmodeinput" id="travelmodeinput">' +
				// '   		    <div>' +
				// '                   <label for="location_a">A</label>' +
				// '                   <input type="text" name="location_a" id="'+ codigo +'_location_a" class="location" placeholder="Salida" onkeypress="return doSearch2(event);" onfocus="focusLocation()" />' +
				// '					<a class="geocode_a" onclick="miUbicacion2(\'\')" id="miubicacion2">.</a>' +
				// '               </div>' +
				// '   		    <div>' +
				// '                   <label for="location_b">B</label>' +
				// '					<input type="text" name="location_b" id="location_b" class="location" placeholder="Destino" value="' +  direccion1 + ' ' + direccion2 + '" disabled>' +
				// '               </div>' +
				// '   		</form>' +
				// '   		<ul class="travelmode">' +
				// '   			<li>' +
				// '   				<a href="javascript:void(0)" onclick="getIndicaciones(\'' + codigo + '\', \'driving\')" id="driving" class="faa-parent animated-hover">' +
				// '   					<i class="fa fa-car faa-pulse"></i>' +
				// '   					<span class="hidden">[CAR]</span>' +
				// '   				</a>' +
				// '   			</li>' +
				// '   			<li>' +
				// '   				<a href="javascript:void(0)" onclick="getIndicaciones(\'' + codigo + '\', \'walking\')" id="walking" class="faa-parent animated-hover">' +
				// '   					<i class="fa fa-male faa-pulse"></i><span class="hidden">[WALK]</span>' +
				// '   				</a>' +
				// '   			</li>' +
				// '   			<li>' +
				// '   				<a href="javascript:void(0)" onclick="getIndicaciones(\'' + codigo + '\', \'transit\')" id="transit" class="faa-parent animated-hover">' +
				// '   					<i class="fa fa-subway faa-pulse"></i><span class="hidden">[TRANSIT]</span>' +
				// '   				</a>' +
				// '   			</li>' +
				// '   		</ul>' +
				// '   		<div id="dir-container"></div>' +
				// '   		<div id="map-container"></div>' +
				// '   	</div>' +

				// TODO: Else, añadir a lista de +10
			}

		}

		if (nTiendasProximosDias % 2 != 0) {
			dev = '<article class="aperturas-intro-image">' +
				'<img src="' + E_Tienda.ap_img + '">' +
				'</article>' +
				dev;
		}

		if( nTiendasProximosDias == 0 ) {
			jQuery('.aperturas-info').hide();
			jQuery('.maps-wrapper').hide();
		}

	} else {
		jQuery('.aperturas-vacio').show();
		jQuery('.aperturas-info').hide();
		jQuery('.maps-wrapper').hide();
	}

	return dev;
}

/* -------------------------------------------------------- */
/*  Lista de tiendas que se abren dentro de más de 10 días  */
/* -------------------------------------------------------- */

function getListTiendas10() {

	if (dataMap.tiendas.length != 0) {

		dev = '';
		dev10 = '';
		var nTiendasProximosDias = 0;

		for (var i = 0; i < dataMap.tiendas.length; i++) {

			var dataTiendas = dataMap.tiendas[i];

			empresa = dataTiendas.nombre;
			empresa = empresa.replace("Aldi", "");

			nueva = new Date();
			nueva.setDate(dataTiendas.nueva.substr(6, 2));
			nueva.setMonth(dataTiendas.nueva.substr(4, 2) - 1);
			nueva.setHours(0);
			nueva.setMinutes(0);
			nueva.setSeconds(0);

			var date = new Date();
			nue = Math.floor(date.getTime());
			nue = nue+(15*24*60*60*1000);
			nuevaplus10 = new Date(nue);

			if( nuevaplus10 < nueva ) {

				nTiendasProximosDias++;

				dev = dev + '' +
					'<div class="aperturas10-item">' +
					empresa +
					'</div>';

			}

		}

		if( nTiendasProximosDias > 0 ) {
			dev = '<div class="row list10">' +
			'<div class="col-md-6 left">'+E_Tienda.ap_txt1+'</div>' +
			'<div class="col-md-6 right">'+dev+'</div>' +
			'</div>';
		}

	}

	return dev;
}


/* -------------------- */
/*  Al fer una recerca  */
/* -------------------- */

function doSearch(e) {
	var code = (e.keyCode ? e.keyCode : e.which);
	if (code == 13) {
		geocode();
	}
	return true;
}

function geocode() {								//https://developers.google.com/maps/documentation/geocoding/ - LIMIT: 2,500 requests per day.
	geocoder.geocode({
		'address': document.getElementById('location').value,
		'region': 'ES'
	}, geocodeResult);			//https://developers.google.com/maps/documentation/javascript/geocoding
}

function geocodeResult(results, status) {
	if (status == 'OK' && results.length > 0) {

		showMapa();

		//-- Resultat de la recerca
		var bounds = new google.maps.LatLngBounds();
		bounds = results[0].geometry.viewport;					//Bounds del resultat de la recerca

		pointsearch = new google.maps.LatLng(results[0].geometry.location.lat(), results[0].geometry.location.lng());	//Punt resultat de la recerca
		pointclosest = findClosestN(pointsearch, 1);																	//Marca (super) més propera
		bounds.extend(pointclosest);
		Demo.map.fitBounds(bounds);

		//-- Carreguem el llistat de les botigues que estem visualitzant al mapa
		chargeListado('sivisualitzem');

	} else {
		alert("Geocode was not successful for the following reason: " + status);
		//alert("Localización no encontrada.");
	}
}

function findClosestN(pt, numberOfResults) {		//Recorrem totes les marques per veure quina es la més propera la punt que estem (http://stackoverflow.com/questions/4057665/google-maps-api-v3-find-nearest-markers)
	distance_ant = 0;
	var marker_closest = null;
	for (var i = 0; i < markersArray.length; i++) {
		distance = google.maps.geometry.spherical.computeDistanceBetween(pt, markersArray[i].getPosition());
		if (distance_ant == 0) { distance_ant = distance; }
		if (distance <= distance_ant) { distance_ant = distance; marker_closest = markersArray[i].getPosition(); }
	}
	return marker_closest;
}

function doSearch2(e) {
	var code = (e.keyCode ? e.keyCode : e.which);
	if (code == 13) {
		geocode2();
	}
	return true;
}

function geocode2() {								//https://developers.google.com/maps/documentation/geocoding/ - LIMIT: 2,500 requests per day.
	geocoder.geocode({
		'address': document.getElementById('location_a').value,
		'region': 'ES'
	}, geocodeResult2);			//https://developers.google.com/maps/documentation/javascript/geocoding
}

function geocodeResult2(results, status) {
	if (status == 'OK' && results.length > 0) {

		//--- Guardem ubicació
		Demo2.fromInput.value = results[0].geometry.location.lat() + ',' + results[0].geometry.location.lng();

	} else {
		alert("Geocode was not successful for the following reason: " + status);
	}
}

function chargeListado(visualitzem) {

	bounds = Demo.map.getBounds();						//Viewport que estem visualitzant al mapa
	latsw = bounds.getSouthWest().lat();
	lngsw = bounds.getSouthWest().lng();
	latne = bounds.getNorthEast().lat();
	lngne = bounds.getNorthEast().lng();

	w = jQuery(window).width();							//Per versió Desktop mostrem la llista i el mapa a la vegada
	if (w >= 768 || tReload == 1) {
		html = getListTiendas(latsw, lngsw, latne, lngne);		//Mostrem la llista de botigues obtingudes segons les coordenades
		jQuery('#list').html(html);
		html = getListTiendas10();
		jQuery('#list10').html(html);
		tReload = 2;
	}

	if (visualitzem == 'sivisualitzem') {
		w = jQuery(window).width();							//Per versió Desktop mostrem la llista i el mapa a la vegada
		if (w >= 768) { jQuery('#info').hide(); jQuery('#list').fadeIn(300); }
	}

}


/* ==========================================================================

   ========================================================================== */

function showMapa() {
	jQuery('#info').hide(); jQuery('#list').hide(); jQuery('#mapa').show(); if (w < 768) { jQuery('#modo').show(); }
	jQuery('#modo-mapa a').removeClass('noselected selected'); jQuery('#modo-mapa a').addClass('selected'); 								//Opción "MAPA" es ahora la opción seleccionada
	jQuery('#modo-listado a').removeClass('selected noselected'); jQuery('#modo-listado a').addClass('noselected');
	google.maps.event.trigger(Demo.map, "resize");

}

function showListado() {
	jQuery('#mapa').hide(); jQuery('#info').hide(); jQuery('#list').show();
	jQuery('#modo-mapa a').removeClass('selected noselected'); jQuery('#modo-mapa a').addClass('noselected'); 							//Opción "LISTADO" es ahora la opción seleccionada
	jQuery('#modo-listado a').removeClass('noselected selected'); jQuery('#modo-listado a').addClass('selected');
}

//--- Mostrar / Ocultar detalle de la tienda

function showHowToArrive(codigo) {
	info1 = getInfoDetail(codigo);
	showMarkerSelected(codigo);
	if (codigo.substr(0, 1) == '+') {
		infocab = 'OFICINA CENTRAL';
	} else {
		infocab = getNameTienda(codigo);
	}
	jQuery('.info-cap h3').html(infocab);
	jQuery('#aperturas-info').html(info1); jQuery('#aperturas-info').fadeIn(); jQuery('#dir-container').html('');
	jQuery('#como-llegar').fadeIn();
	w = jQuery(window).width();							//(per versió mobile) amaguem el mapa
	if (w < 768) { jQuery('#mapa').hide(); }
	// jQuery('#list').hide();									//Amaguem Listado
	jQuery('#info').show();									//Mostrem info
	jQuery('#modo').hide();									//Amaguem la selecció del modo: mapa/listado

	jQuery('html,body').animate({
		scrollTop: jQuery(".maps-wrapper").offset().top - 120
	},
		'slow');
}

function hideHowToArrive() {
	w = jQuery(window).width();
	jQuery('#info').hide();
	jQuery('#aperturas-info').fadeOut();
	jQuery('#como-llegar').fadeOut();
	if (jQuery('#modo-mapa a').hasClass('selected')) { jQuery('#mapa').show(); }
	if (jQuery('#modo-listado a').hasClass('selected') || w >= 768) { jQuery('#list').show(); }
	if (w < 768) { jQuery('#modo').show(); }
}

function showMarkerSelected(codigo) {
	//alert(codigo);
	mk = getMarker(codigo);
	if (codigo.substr(0, 1) == '+') {
		mk.setOptions({ icon: { url: ruta + 'icono_central_selected.png' } });
	} else {
		mk.setOptions({ icon: { url: ruta + 'icono_mapa_selected.png' } });
	}

}

function getMarker(codigo) {
	if (marker_selected != undefined) {
		if (codigo_selected.substr(0, 1) == '+') {
			marker_selected.setOptions({ icon: { url: ruta + 'icono_central.png' } });
		} else {
			marker_selected.setOptions({ icon: { url: ruta + 'icono_mapa.png' } });
		}
	}
	for (var m = 0; m < markersCodigos.length; m++) {
		if (markersCodigos[m] == codigo) {
			marker_selected = markersArray[m];
			codigo_selected = codigo;
		}
	}
	return marker_selected;
}

//--- Información / Como Llegar

function showDetail(codigo) {
    info1 = getInfoDetail(codigo);
    showMarkerSelected(codigo);
    if (codigo.substr(0, 1) == '+') {
        infocab = 'OFICINA CENTRAL';
    } else {
        infocab = getNameTienda(codigo);
    }
    jQuery('.info-cap h3').html(infocab);
    jQuery('#aperturas-info').html(info1); jQuery('#aperturas-info').fadeIn(); jQuery('#dir-container').html('');
    jQuery('#como-llegar').fadeIn();

}

function showAvailable(pos, txt, ele) {
	jQuery('.available a').removeClass('selected'); jQuery(ele).addClass('selected');
	jQuery('.available_txt span').html(''); jQuery('.available_txt_' + pos + ' span').html(txt); jQuery('.available_txt_' + pos + ' span').fadeIn(300);
}

google.maps.event.addDomListener(window, 'load', Demo.init);
google.maps.event.addDomListener(window, 'load', Demo2.init);

jQuery(document).ready(function (jQuery) {

	w = jQuery(window).width();

	if (w < 768) {
		jQuery('#mapa').show();
		setTimeout( function() {
			showListado();
		}, 500);
	}


	var windowWidth = jQuery(window).width();
	jQuery(window).resize(function () {

		if (jQuery(window).width() != windowWidth) {

			windowWidth = jQuery(window).width();

			w = jQuery(window).width();
			jQuery('#info').hide();																											//Amaguem info
			if (w < 768) {																												//Si es -Mobile-
				jQuery('#modo').show();																										// - Mostrem "Modo"
				jQuery('#list').show(); jQuery('#mapa').hide();																					// - Amaguem "Llistat" i mostrem "Mapa"
				if (jQuery('#modo-mapa a').hasClass('selected')) { 																		// - Si estava seleccionat el llistat ..
					jQuery('#modo-mapa a').toggleClass('selected noselected'); jQuery('#modo-listado a').toggleClass('noselected selected'); 		//		.. activem llistat
				}
			} else {																													//Si es Desktop
				jQuery('#modo').hide(); jQuery('#list').show(); jQuery('#mapa').show(); 																//	- Amaguem "Modo" i mostrem "Llistat" i "Mapa"
			}

		}

	});

});
