jQuery(document).ready(function($) {

    openReasons();
    errorsForm();
    backtoBlue();
    openFourth();

});


// It opens an extra field if the answer is negative
function openReasons() {

    jQuery('#openings-survey .question label').on('click', function() {

        if( jQuery(this).closest('.question').find('.optional-reason').length ) {

            var reason = jQuery(this).closest('.question').find('.optional-reason');

            if( jQuery(this).hasClass('negative') ) {

                if( reason.css('display') == 'none' ) {
                    reason.fadeIn();
                }

            } else {

                if( reason.css('display') == 'block' ) {
                    reason.fadeOut();
                }

            }

        }

    });

}

// It opens the fourth question depending on the user answer
function openFourth() {

    jQuery('#openings-survey .question3 input[type=radio]').on('click', function() {

        if( !jQuery(this).closest('label').hasClass('negative') ) {
            jQuery('#openings-survey .question4').fadeIn();

        } else {
            jQuery('#openings-survey .question4').fadeOut();
        }

    });

}


// It checks if there are errors in the form and create a modal if there's one
function errorsForm() {

    jQuery('#openings-survey form .button-submit').on('click', function() {
        
        errors = false;

        jQuery('#openings-survey form .options').each( function() {

            if( jQuery(this).closest('.question').css('display') != 'none' ) {

                var groupOptions = false;
            
                jQuery(this).find('input[type=radio]').each( function() {

                    if( jQuery(this).is(':checked') ) {
                        groupOptions = true;
                    }

                });

                if( groupOptions == false ) {
                    jQuery(this).find('.rate-text').css({'color':'red'});
                    errors = true;
                }

            }
            
        });

        if( errors ) {
            jQuery('#errorsOpeningSurveyModal .modal-body').empty();
            jQuery('#errorsOpeningSurveyModal .modal-body').append("Por favor, conteste las preguntas en rojo.");
            jQuery('#errorsOpeningSurveyModal').modal('show');
        } else {

            var data = {
                experiencia: jQuery('#openings-survey input[name=experiencia-compra]:checked').val(),
                comodidad: jQuery('#openings-survey input[name=comodidad]:checked').val(),
                variedad: jQuery('#openings-survey input[name=variedad]:checked').val(),
                facilidad: jQuery('#openings-survey input[name=facilidad]:checked').val(),
                calidad: jQuery('#openings-survey input[name=calidad]:checked').val(),
                volver: jQuery('#openings-survey input[name=volver]:checked').val(),
                volver_razon: jQuery('#openings-survey input[name=volver-motivo]').val(),
                habitual: jQuery('#openings-survey input[name=habitual]:checked').val(),
                habitual_razon: jQuery('#openings-survey input[name=habitual-motivo]').val(),
                recomendacion: jQuery('#openings-survey input[name=recomendacion]:checked').val(),
                localizacion: jQuery('#openings-survey input[name=localizacion]').val(),
            };

            console.log(data);

            jQuery.ajax({
                type: 'POST',
                url: 'https://aldi.emsecure.net/optiext/optiextension.dll?ID=ImrI4IBJG1UNSsSPDogSbOHjl2XDPyNZVSjIX1IKEgJaK2rHa8F%2BofskBQDIvKJF_0sGcI1ZI_',
                data: data,
                dataType: 'jsonp',
                jsonpCallback: function (data) {
                    
                    // Haciendo el menú aparecer
                    jQuery('.fake-header').fadeOut( function() {
                        jQuery('header').fadeIn();
                    });

                    // Cambiando texto de bloque principal
                    jQuery('#openings-survey .main-block h1').fadeOut(function() {

                        jQuery(this).text('¡Gracias!').fadeIn();

                    });
                    jQuery('#openings-survey form').fadeOut(function() {

                        jQuery('#openings-survey .thanks').fadeIn();

                    });

                    jQuery('html,body').animate({
                        //scrollTop: jQuery('body').offset().top},
                        scrollTop: 0},
                    'slow');

                }
            });
        }

    });

}

// It turns the options back to blue when the user makes click on them
function backtoBlue() {

    jQuery('#openings-survey form input[type=radio]').on('click', function() {
        
        jQuery(this).closest('.options').find('.rate-text').css({'color':'#aedbd5'});

    });

}