<?php

/* Encuesta para las aperturas */

class openingsSurvey {

  public function __construct() {

    // STYLES & SCRIPTS
    add_action( 'wp_enqueue_scripts', array($this, 'stylesScripts' ) );

    // SHORTCODE
    add_shortcode( "openings-survey", array($this, 'codeHTML' ) );

  }

  // Registering Styles & Scripts
  public function stylesScripts() {

    // STYLES
    wp_register_style( 'openings-survey', plugin_dir_url( __FILE__ ) . "css/openings-survey.css", array(), time() );

    // SCRIPTS
	wp_register_script( 'openings-survey', plugin_dir_url( __FILE__ ) . 'js/openings-survey.js', array('jquery'), '', true );

  }

  // Code for the shortcode
  public function codeHTML() {

    // Enabling the style and the scripts
    wp_enqueue_script( 'openings-survey' );
	wp_enqueue_style( 'openings-survey' );

    // Getting filters from the URL
    $queryURL = parse_url( html_entity_decode( esc_url( add_query_arg( $arr_params ) ) ) );
    parse_str( $queryURL['query'], $getVar );
    $loc = $getVar['location'];

    ?>
        <section class="fake-header">
            <a href="<?php echo get_home_url(); ?>"><img src="<?php echo get_field('cab_logo','option')['url']; ?>"></a>
        </section>

        <section id="openings-survey">

            <div class="main-block">
                <img src="<?php echo ETT_PLUGIN_URL; ?>images/tienda-icono.png">
                <h1><?php _e('Ayúdanos a mejorar','encuentra-tu-tienda'); ?></h1>
            </div>

            <!-- Formulario -->
            <form action="" method="post">

                <!-- Hidden location -->
                <input type="hidden" value="<?php echo $loc; ?>" name="localizacion">

                <!-- First question -->
                <div class="question question1">
                    <div class="number">1.</div>
                    <div class="sentence">Sabemos que has venido a la apertura de la nueva tienda Aldi.<br>¿Podrías indicarnos cómo ha sido tu experiencia de compra?</div>
                    <div class="options">
                        <span class="rate-text">Muy mala</span>
                        <label for="experiencia-compra1"><input type="radio" name="experiencia-compra" id="experiencia-compra1" value="Muy mala"><span class="beauty"></span></label>
                        <label for="experiencia-compra2"><input type="radio" name="experiencia-compra" id="experiencia-compra2" value="Mala"><span class="beauty"></span></label>
                        <label for="experiencia-compra3"><input type="radio" name="experiencia-compra" id="experiencia-compra3" value="Neutral"><span class="beauty"></span></label>
                        <label for="experiencia-compra4"><input type="radio" name="experiencia-compra" id="experiencia-compra4" value="Buena"><span class="beauty"></span></label>
                        <label for="experiencia-compra5"><input type="radio" name="experiencia-compra" id="experiencia-compra5" value="Muy buena"><span class="beauty"></span></label>
                        <span class="rate-text">Muy buena</span>
                    </div>
                </div>

                <!-- Second question -->
                <div class="question question2">
                    <div class="number">2.</div>
                    <div class="sentence">Para nosotros es muy importante tu opinión. Por eso,<br> ¿puedes decirnos qué te han parecido algunos aspectos de la tienda?</div>
                    
                    <div class="sub-question-2-1">
                        <div class="sentence">Comodidad para hacer la compra</div>
                        <div class="options">
                            <span class="rate-text">Muy mala</span>
                            <label for="comodidad1"><input type="radio" name="comodidad" id="comodidad1" value="Muy mala"><span class="beauty"></span></label>
                            <label for="comodidad2"><input type="radio" name="comodidad" id="comodidad2" value="Mala"><span class="beauty"></span></label>
                            <label for="comodidad3"><input type="radio" name="comodidad" id="comodidad3" value="Neutral"><span class="beauty"></span></label>
                            <label for="comodidad4"><input type="radio" name="comodidad" id="comodidad4" value="Buena"><span class="beauty"></span></label>
                            <label for="comodidad5"><input type="radio" name="comodidad" id="comodidad5" value="Muy buena"><span class="beauty"></span></label>
                            <span class="rate-text">Muy buena</span>
                        </div>
                    </div>

                    <div class="sub-question-2-2">
                        <div class="sentence">Variedad de los productos que puedes encontrar</div>
                        <div class="options">
                            <span class="rate-text">Muy mala</span>
                            <label for="variedad1"><input type="radio" name="variedad" id="variedad1" value="Muy mala"><span class="beauty"></span></label>
                            <label for="variedad2"><input type="radio" name="variedad" id="variedad2" value="Mala"><span class="beauty"></span></label>
                            <label for="variedad3"><input type="radio" name="variedad" id="variedad3" value="Neutral"><span class="beauty"></span></label>
                            <label for="variedad4"><input type="radio" name="variedad" id="variedad4" value="Buena"><span class="beauty"></span></label>
                            <label for="variedad5"><input type="radio" name="variedad" id="variedad5" value="Muy buena"><span class="beauty"></span></label>
                            <span class="rate-text">Muy buena</span>
                        </div>
                    </div>

                    <div class="sub-question-2-3">
                        <div class="sentence">Facilidad para encontrar los productos</div>
                        <div class="options">
                            <span class="rate-text">Muy mala</span>
                            <label for="facilidad1"><input type="radio" name="facilidad" id="facilidad1" value="Muy mala"><span class="beauty"></span></label>
                            <label for="facilidad2"><input type="radio" name="facilidad" id="facilidad2" value="Mala"><span class="beauty"></span></label>
                            <label for="facilidad3"><input type="radio" name="facilidad" id="facilidad3" value="Neutral"><span class="beauty"></span></label>
                            <label for="facilidad4"><input type="radio" name="facilidad" id="facilidad4" value="Buena"><span class="beauty"></span></label>
                            <label for="facilidad5"><input type="radio" name="facilidad" id="facilidad5" value="Muy buena"><span class="beauty"></span></label>
                            <span class="rate-text">Muy buena</span>
                        </div>
                    </div>

                    <div class="sub-question-2-4">
                        <div class="sentence">Disponibilidad de productos de calidad a buen precio</div>
                        <div class="options">
                            <span class="rate-text">Muy mala</span>
                            <label for="calidad1"><input type="radio" name="calidad" id="calidad1" value="Muy mala"><span class="beauty"></span></label>
                            <label for="calidad2"><input type="radio" name="calidad" id="calidad2" value="Mala"><span class="beauty"></span></label>
                            <label for="calidad3"><input type="radio" name="calidad" id="calidad3" value="Neutral"><span class="beauty"></span></label>
                            <label for="calidad4"><input type="radio" name="calidad" id="calidad4" value="Buena"><span class="beauty"></span></label>
                            <label for="calidad5"><input type="radio" name="calidad" id="calidad5" value="Muy buena"><span class="beauty"></span></label>
                            <span class="rate-text">Muy buena</span>
                        </div>
                    </div>

                </div>

                <!-- Third question -->
                <div class="question question3">
                    <div class="number">3.</div>
                    <div class="sentence">¿Crees que volverás a comprar en nuestra tienda?</div>
                    <div class="options">
                        <label for="volver1" class="con-texto"><input type="radio" name="volver" id="volver1" value="Seguro que sí"><span class="beauty"></span><span class="rate-text">Seguro que sí</span></label><div class="break"></div>
                        <label for="volver2" class="con-texto"><input type="radio" name="volver" id="volver2" value="Es posible que sí"><span class="beauty"></span><span class="rate-text">Es posible que sí</span></label><div class="break"></div>
                        <label for="volver3" class="con-texto negative"><input type="radio" name="volver" id="volver3" value="Es posible que no"><span class="beauty"></span><span class="rate-text">Es posible que no</span></label><div class="break"></div>
                        <label for="volver4" class="con-texto negative"><input type="radio" name="volver" id="volver4" value="Seguro que no"><span class="beauty"></span><span class="rate-text">Seguro que no</span></label><div class="break"></div>
                    </div>
                    <div class="reason">
                        <p>¿Por qué motivo?</p>
                        <input type="text" name="volver-motivo">
                    </div>
                </div>

                <!-- Fourth question -->
                <div class="question question4">
                    <div class="number">4.</div>
                    <div class="sentence">Después de tu experiencia de compra,<br>¿crees que nuestra tienda podría convertirse en tu supermercado habitual?</div>
                    <div class="options">
                        <label for="habitual1" class="binomio "><input type="radio" name="habitual" id="habitual1" value="Sí"><span class="beauty"></span><span class="rate-text">Sí</span></label>
                        <label for="habitual2" class="binomio negative "><input type="radio" name="habitual" id="habitual2" value="No"><span class="beauty"></span><span class="rate-text">No</span></label>
                    </div>
                    <div class="reason optional-reason">
                        <p>¿Por qué motivo?</p>
                        <input type="text" name="habitual-motivo">
                    </div>
                </div>

                <!-- Fifth question -->
                <div class="question question5">
                    <div class="number">Y por último...</div>
                    <div class="sentence">En una escala de 0 a 10, ¿recomendarías ALDI a tus familiares o amigos?</div>
                    <div class="options">
                        <label for="recomendacion0"><input type="radio" name="recomendacion" id="recomendacion0" value="0"><span class="beauty"></span><span class="rate-text label-on-bottom">0</span></label>
                        <label for="recomendacion1"><input type="radio" name="recomendacion" id="recomendacion1" value="1"><span class="beauty"></span><span class="rate-text label-on-bottom">1</span></label>
                        <label for="recomendacion2"><input type="radio" name="recomendacion" id="recomendacion2" value="2"><span class="beauty"></span><span class="rate-text label-on-bottom">2</span></label>
                        <label for="recomendacion3"><input type="radio" name="recomendacion" id="recomendacion3" value="3"><span class="beauty"></span><span class="rate-text label-on-bottom">3</span></label>
                        <label for="recomendacion4"><input type="radio" name="recomendacion" id="recomendacion4" value="4"><span class="beauty"></span><span class="rate-text label-on-bottom">4</span></label>
                        <label for="recomendacion5"><input type="radio" name="recomendacion" id="recomendacion5" value="5"><span class="beauty"></span><span class="rate-text label-on-bottom">5</span></label>
                        <label for="recomendacion6"><input type="radio" name="recomendacion" id="recomendacion6" value="6"><span class="beauty"></span><span class="rate-text label-on-bottom">6</span></label>
                        <label for="recomendacion7"><input type="radio" name="recomendacion" id="recomendacion7" value="7"><span class="beauty"></span><span class="rate-text label-on-bottom">7</span></label>
                        <label for="recomendacion8"><input type="radio" name="recomendacion" id="recomendacion8" value="8"><span class="beauty"></span><span class="rate-text label-on-bottom">8</span></label>
                        <label for="recomendacion9"><input type="radio" name="recomendacion" id="recomendacion9" value="9"><span class="beauty"></span><span class="rate-text label-on-bottom">9</span></label>
                        <label for="recomendacion10"><input type="radio" name="recomendacion" id="recomendacion10" value="10"><span class="beauty"></span><span class="rate-text label-on-bottom">10</span></label>
                    </div>
                </div>

                <!-- Button -->
                <span class="button-submit">Enviar</span>

            </form>

            <!-- THANKS -->
            <section class="thanks container">

                <div class="message">
                    <?php _e('Gracias por ayudarnos a mejorar.<br>Esperamos verte de nuevo por Aldi.','encuentra-tu-tienda'); ?>
                </div>

                <div class="discover">
                    <?php _e("Descubre algo nuevo cada semana"); ?>
                </div>
                
                <div class="row">

                    <div class="col-sm-4 col-xs-12">
                        <a href="<?php echo get_permalink( get_option( 'page_for_posts' ) ); ?>" class="banner-ideas" style="background: url(<?php echo get_field('blog_banner','option')['url']; ?>)" target="_blank">
                            Inspiración
                        </a>
                    </div>

                    <div class="col-sm-4 col-xs-12">
                        <a href="<?php echo get_post_type_archive_link('receta'); ?>" class="banner-ideas" style="background: url(<?php echo get_field('rec_banner','option')['url']; ?>)" target="_blank">
                            Recetas
                        </a>
                    </div>

                    <div class="col-sm-4 col-xs-12">
                        <a href="<?php echo get_post_type_archive_link('diy'); ?>" class="banner-ideas" style="background: url(<?php echo get_field('diy_banner','option')['url']; ?>)" target="_blank">
                            Manualidades
                        </a>
                    </div>

                </div>

            </section>

        </section>

        <!--<section class="fake-footer">
            <img src="<?php echo get_field('pie_logo','option')['url']; ?>">
        </section>-->

        <!-- Modal -->
        <div id="errorsOpeningSurveyModal" class="modal fade" role="dialog">
            <div class="modal-dialog">

                <!-- Modal content-->
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">¡Ups! Hay algunos problemas con el formulario</h4>
                    </div>
                    <div class="modal-body">

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default btn-modal-equilibrio" data-dismiss="modal">Cerrar</button>
                    </div>
                </div>

            </div>
        </div>
    <?php

  }

}

$os = new openingsSurvey();

?>